# what it's called on pypi
%global pypi_name outcome
# what it's imported as
%global libname outcome
# name of egg info directory
%global eggname outcome
# package name fragment
%global pkgname outcome

%global _description \
Outcome provides a function for capturing the outcome of a Python function\
call, so that it can be passed around.

%bcond_without tests

Name:       python-%{pkgname}
Version:    1.3.0.post0
Release:    %mkrel 2
Summary:    Capture the outcome of Python function calls
License:    MIT or ASL 2.0
Group:      Development/Python
URL:        https://pypi.org/project/outcome/
Source0:    %pypi_source
BuildArch:  noarch

%description %{_description}

%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
Group:      Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-asyncio
BuildRequires:  python%{python3_pkgversion}-async-generator
BuildRequires:  python%{python3_pkgversion}-attrs
%endif
Requires:       python%{python3_pkgversion}-attrs
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}


%description -n python%{python3_pkgversion}-%{pkgname} %{_description}


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files outcome

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} --verbose
%endif


%files -n python%{python3_pkgversion}-%{pkgname} -f %{pyproject_files}
%license LICENSE LICENSE.MIT LICENSE.APACHE2
%doc README.rst



%changelog
* Sun Mar 02 2025 wally <wally> 1.3.0.post0-2.mga10
+ Revision: 2157338
- rebuild for python3.13

* Mon Feb 10 2025 daviddavid <daviddavid> 1.3.0.post0-1.mga10
+ Revision: 2146759
- new version: 1.3.0.post0

* Sat Dec 09 2023 wally <wally> 1.2.0-2.mga10
+ Revision: 2016455
- rebuild for py3.12

* Wed Sep 07 2022 neoclust <neoclust> 1.2.0-1.mga9
+ Revision: 1885117
- New version  1.2.0

* Wed Mar 30 2022 umeabot <umeabot> 1.1.0-4.mga9
+ Revision: 1833786
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 wally <wally> 1.1.0-3.mga9
+ Revision: 1773445
- rebuild for python3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.1.0-2.mga9
+ Revision: 1705036
- rebuild for python 3.9

* Sun Jan 17 2021 guillomovitch <guillomovitch> 1.1.0-1.mga8
+ Revision: 1672170
- imported package python-outcome

